{% extends "base.html" %}
{% load static %}
{% block content %}
    
<div class="container">
	<div class="d-flex justify-content-center card">
		<div class="card-header">
			<h3>Registrasi Administrator</h3>
		</div>
		<div class="card-body">
			<form method="POST">
				{% for i in form %}
				<div class="form-group">
					{{ i.label }}
					{{ i }}
					{% if i.errors %}
						<strong style="color: red;">{{ i.errors }}</strong>
					{% endif %}
				</div>
				{% endfor %}
				{% csrf_token %}
				<div class="form-group">
					<button class="btn float-left btn-info" onclick="goBack()">Go Back</button>
					<button class="btn float-right btn-info" type="submit">Daftar</button>
				</div>
			</form>
		</div>
		<div class="card-footer">
			<div class="d-flex justify-content-center links">
		<small class="text-muted">Already have an account? <a href="{% url 'login:fiturlogin' %}">Sign In</a></small>
			</div>
		</div>
	</div>
</div>

<style>
    .container{
        position: relative;
        
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
		font-family: sans-serif;
    }
    
    div.card{
        max-height: 180vh;
        max-width: 100vw;
		object-fit: cover;
		background-color: rgb(182, 206, 206);
    }
    
    div.d-flex{
        position: relative;
    }
    
    @media screen and (max-width: 900px) {
        html {
            font-size: 10px;
        }
        
    }
</style>
<script>
function goBack() {
  window.history.back();
}
</script>    
    
{% endblock %}
